<template>
  <div class="login">
    <!-- <div class="img-container">
      <img :src="loginImg" alt="">
    </div> -->
    <el-form ref="loginForm" :model="loginForm" class="login-form" label-position="left">
      <el-form-item prop="loginName">
        <el-input
          v-model="loginForm.loginName"
          placeholder="输入用户名"
          name="loginName"
          type="text"
          
        >
          
        </el-input>
      </el-form-item>
      <el-form-item prop="password">
        <el-input
          :type="passwordType"
          v-model="loginForm.password"
          placeholder="输入密码"
          name="password"
         
          @keyup.enter.native="handleLogin"
        >
          <span slot="suffix" class="suffix-icon" :class="{eyeOpen: isOpen}" @click="showPwd">
            <svg-icon :icon-class="eyeIconClass" />
          </span>
        </el-input>
      </el-form-item>
     
      <el-button :loading="loading" class="loginButton" type="primary" @click.native.prevent="handleLogin">登录</el-button>
    </el-form>
  </div>
</template>

<script>
/**
 * 登录组件
 * @author Sky
 */
export default {

  data () {
    return {
   //   path: '/' + process.env.VUE_APP_FACTORY_KEY + '/user/confirm-password',
      loginImg: require('@/assets/login-left.jpg'),
      loginForm: { // 表单数据
        loginName: '',
        password: ''
      },
      passwordType: 'password', // 输入框类型
      loading: false, // 加载中
      eyeIconClass: 'eye-off', // 密码图标显示
      isOpen: false // 根据状态显示不同样式类名
    }
  },

  methods: {
    // 忘记密码回调
   
    // 清除用户名
    
    // 密码显示切换
    showPwd () {
      if (this.passwordType === 'password') {
        this.passwordType = ''
        this.eyeIconClass = 'eye'
        this.isOpen = true
      } else {
        this.passwordType = 'password'
        this.eyeIconClass = 'eye-off'
        this.isOpen = false
      }
    },
		
    // 登录
    handleLogin () {
			let url = "/api/user/login";
			let params = this.loginForm;
			this.$axios.get(url,{
			     params
			   }).then(data_ => {
			     console.log(data_);
			   if(data_.data.success) {
				   localStorage.setItem('userId',data_.data.data.id);
				   localStorage.setItem('userName',data_.data.data.name);
				   localStorage.setItem('roleId',data_.data.data.roleCode);
				   localStorage.setItem('roleName',data_.data.data.roleName);
				   localStorage.setItem('departId',data_.data.data.departCode);
				   localStorage.setItem('departName',data_.data.data.departName);
				   	this.$router.push('/');
			   }else {
					this.$message({message:'登陆失败', type: 'warning'});
			   }
			    
			   }).catch(error =>{
			       console.log(error);
			   })
			
		
		},
  }
}
</script>

<style >

</style>
